SystemOrganization addCategory: #'Magma sunit'!

MagmaLocalLocation subclass: #MagmaLocalRamdiskLocation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Magma sunit'!

!MagmaLocalRamdiskLocation class methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 03:13'!
default 

^ self path: 'magma-testing'! !

!MagmaLocalRamdiskLocation methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 03:24'!
base

^ FileDirectory on: '/ramdisk'! !

TestResource subclass: #TestResourceMagma
	instanceVariableNames: 'location session'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Magma sunit'!

!TestResourceMagma commentStamp: 'kph 10/6/2006 03:21' prior: 0!
Use a magma database in ramdisk (location is hard wired in MagmaLocalRamdiskLocation-#base to /ramdisk)

Although we could we do not create and delete the database from scratch every test run. If it is present we use it and apply #beEmpty.

!

!TestResourceMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 03:49'!
beEmpty

	 session commit: [ [session root: nil] on: Warning do: [ :e | e resume ] ].! !

!TestResourceMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/5/2006 00:03'!
isAvailable

^session isOpen! !

!TestResourceMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 03:38'!
session

^session ! !

!TestResourceMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 03:39'!
setUp
 
	location := MagmaLocalRamdiskLocation default.
	location isRepository ifFalse: [ MagmaRepositoryController create: location ].

	session := location newSessionAs: 'sunit'.
	self beEmpty.! !

!TestResourceMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 03:22'!
tearDown
	self beEmpty.
	session disconnectAndClose.
	 

	! !

TestResource subclass: #TestResourceMockMagma
	instanceVariableNames: 'root'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Magma sunit'!

!TestResourceMockMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 06:01'!
abort

! !

!TestResourceMockMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 06:01'!
begin

! !

!TestResourceMockMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 06:01'!
commit

! !

!TestResourceMockMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 06:01'!
commit: aBlock

	^aBlock value

! !

!TestResourceMockMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 06:01'!
inTransaction
	^false
! !

!TestResourceMockMagma methodsFor: 'accessing' stamp: 'kph 10/6/2006 06:23'!
root
	"Answer the value of root"

	^ root! !

!TestResourceMockMagma methodsFor: 'accessing' stamp: 'kph 10/6/2006 06:23'!
root: anObject
	"Set the value of root"

	root _ anObject! !

!TestResourceMockMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 06:00'!
session

^self! !

!TestResourceMockMagma methodsFor: 'as yet unclassified' stamp: 'kph 10/6/2006 06:21'!
stubOut: a

! !
